Possible to use different kernel with MIUI?


Dec 18, 2012
58
2
18
#1
I want to use the kernel from JLB 7.0 Stable (3.4.0-ge78e751-00663-ge1b70f8 builder@taishan Dec 26) because the kernel from 3.1.11 and JLB 10.0 Stable (3.4.0-g6c... Jan 14) has broken WiFi for me.

Is it possible to install the JLB 7 kernel on top of JLB 10, leaving the apk fixes intact?
Alternatively, is it possible to install all the fixes in JLB 10 on top of JLB 7 and be left with the old kernel?
 
Sep 23, 2012
644
170
82
#2
I want to use the kernel from JLB 7.0 Stable (3.4.0-ge78e751-00663-ge1b70f8 builder@taishan Dec 26) because the kernel from 3.1.11 and JLB 10.0 Stable (3.4.0-g6c... Jan 14) has broken WiFi for me.

Is it possible to install the JLB 7 kernel on top of JLB 10, leaving the apk fixes intact?
Alternatively, is it possible to install all the fixes in JLB 10 on top of JLB 7 and be left with the old kernel?
Wi-Fi on 3.1.18 is working perfect, not sure about JLB 10. I haven't installed it.

hadron

Sent from my Xiaomi M2
 
Dec 18, 2012
58
2
18
#3
Wi-Fi on 3.1.18 is working perfect, not sure about JLB 10. I haven't installed it.

hadron

Sent from my Xiaomi M2
I doubt it, because 3.1.11 was broken for me too.

With correct password, WPA2 network forever says "Saved, secured with WPA/WPA2" with grey box. See logspam: http://miuiandroid.com/community/th...-wpa2-personal-aes-wifi-network-broken.19336/

If I forget the network, it says "Secured with WPA/WPA2" with grey box.
It won't ever say "Connected" with an orange box.
 
Jan 10, 2013
51
13
18
#4
Try a factory-reset! ;)

3.1.18 (3.1.11 etc.) is very stable, no problems with wifi...

¥ Xiaomi MI-2 | MIUI 3.1.11 ¥
 
Dec 18, 2012
58
2
18
#5
By "factory reset", do you mean Wipe Cache, Wipe User Data, and Wipe All Data? I've done this dance a dozen times and had to restore settings plenty more. (Is it really not possible to backup your Theme settings?)

There's a problem with wpa_supplicant / kernel / other WPA2-Personal AES authentication issue in 3.1.11+, I linked to the logcat spam. Last working version is JLB 7.0 Stable.
 
Jan 25, 2013
2
0
11
#7
Same error for me. Unable to connect to Wi-Fi WPA2-AES. WPA-AES works without problems, WPA2-AES works without problems only in 7.0 JLB.
 
Jan 25, 2013
2
0
11
#9